WhatsApp Meta agent
Trace Meta agent conversation
Step by step, what the agent did in its latest conversation with one customer: model calls and tool calls, with timings and status.
GET
/
orgs
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
insights
/
conversation-turns
Trace Meta agent conversation
curl --request GET \
--url https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"turn_id": "<string>",
"conversation_id": "<string>",
"steps": [
{
"type": "LLM_CALL",
"status": "SUCCESS",
"latency_ms": 123,
"llm_output_preview": "<string>",
"tool_name": "<string>",
"tool_input": "<string>",
"tool_output": "<string>"
}
],
"message_id": "<string>",
"timestamp": 123,
"e2e_latency_ms": 123
}
],
"paging": {
"cursors": {
"before": "<string>",
"after": "<string>"
},
"next": "<string>",
"previous": "<string>"
}
}Path Parameters
Query Parameters
Was this page helpful?
⌘I
Trace Meta agent conversation
curl --request GET \
--url https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useinvent.com/orgs/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/insights/conversation-turns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"turn_id": "<string>",
"conversation_id": "<string>",
"steps": [
{
"type": "LLM_CALL",
"status": "SUCCESS",
"latency_ms": 123,
"llm_output_preview": "<string>",
"tool_name": "<string>",
"tool_input": "<string>",
"tool_output": "<string>"
}
],
"message_id": "<string>",
"timestamp": 123,
"e2e_latency_ms": 123
}
],
"paging": {
"cursors": {
"before": "<string>",
"after": "<string>"
},
"next": "<string>",
"previous": "<string>"
}
}